# $Revision: 1.16.2.1 $, $Date: 2004/01/19 22:31:56 $

%bcond_without	ldap	# without LDAP support

Summary:	A companion library to Apache Portable Runtime
Summary(pl):	Biblioteka towarzyszca Apache Portable Runtime
Name:		apr-util
Version:	0.9.5
Release:	1
Epoch:		1
License:	Apache
Group:		Libraries
Source0:	http://www.apache.org/dist/apr/%{name}-0.9.4.tar.gz
# Source0-md5:	909ff60d9efb3f158d33e4569af57874
Patch0:		%{name}-link.patch
Patch1:		%{name}-0.9.4_0.9.5.patch
URL:		http://apr.apache.org/
BuildRequires:	apr-devel >= 1:0.9.4
BuildRequires:	autoconf
BuildRequires:	db3-devel
BuildRequires:	expat-devel
BuildRequires:	gdbm-devel
BuildRequires:	libtool
%{?with_ldap:BuildRequires:	openldap-devel}
Requires:	apr >= 1:0.9.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_includedir	/usr/include/apr-util

%description
A companion library to Apache Portable Runtime.

%description -l pl
Biblioteka towarzyszca dla biblioteki Apache Portable Runtime
(przenonej biblioteki uruchomieniowej).

%package devel
Summary:	Header files and development documentation for apr-util
Summary(pl):	Pliki nagwkowe i dokumentacja programisty do apr-util
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	apr-devel >= 1:0.9.4
Requires:	db3-devel
Requires:	expat-devel
Requires:	gdbm-devel
%{?with_ldap:Requires:	openldap-devel}

%description devel
Header files and development documentation for apr-util.

%description devel -l pl
Pliki nagwkowe i dokumentacja programisty do apr-util.

%package static
Summary:	Static apr-util library
Summary(pl):	Statyczna biblioteka apr-util
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Conflicts:	apr-static < 1:0.9

%description static
Static apr-util library.

%description static -l pl
Statyczna biblioteka apr-util.

%prep
%setup -q -n %{name}-0.9.4
%patch0 -p1
%patch1 -p1

%build
./buildconf \
	--with-apr=%{_datadir}/apr
%configure \
	--with-apr=%{_bindir}/apr-config \
%{?with_ldap:	--with-ldap} \
%{?with_ldap:	--with-ldap-include=%{_prefix}/include} \
%{?with_ldap:	--with-ldap-lib=%{_libdir}} \
	--with-iconv=%{_prefix}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGES STATUS
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_libdir}/aprutil.exp
%{_includedir}

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apr-util.spec,v $
Revision 1.16.2.1  2004/01/19 22:31:56  ankry
- rel. 1 for ra

Revision 1.16  2004/01/19 22:21:32  ankry
- rel. 2

Revision 1.15  2004/01/05 19:44:36  qboosh
- -devel R: db-devel,expat-devel

Revision 1.14  2003/12/22 17:18:49  wolf
- move requirements to the right place

Revision 1.13  2003/12/01 22:25:37  mmazur
- rel 0.4 to rebuild with new db

Revision 1.12  2003/11/29 14:20:45  arekm
- fix build with LDAP; rel 0.3

Revision 1.11  2003/11/27 00:40:29  arekm
- rel 2

Revision 1.10  2003/11/15 11:35:44  arekm
- sync with apache version (no internal changes beside ver number)

Revision 1.9  2003/11/14 10:17:33  qboosh
- even Requires for separate apr/apr-devel

Revision 1.8  2003/11/14 10:13:03  qboosh
- Conflicts with apr from apache (which contained apr-util); release 2

Revision 1.7  2003/10/28 08:48:10  trojan
- updated to official 0.9.4

Revision 1.6  2003/10/05 22:28:17  qboosh
- added link patch to link with used libs
- -devel R: apr-devel
- pl descriptions

Revision 1.5  2003/09/17 10:44:37  trojan
- added without ldap bcond

Revision 1.4  2003/09/13 15:14:16  arekm
- builds now even when there is bo BUILD/apr directory

Revision 1.3  2003/09/13 13:12:21  arekm
- update to 0.9.4 snapshots

Revision 1.2  2003/09/13 12:31:05  arekm
- specify full paths to get apu-config --ldflags working properly

Revision 1.1  2003/09/13 12:03:04  arekm
- initial pld release
